summaryrefslogtreecommitdiff
path: root/dev-cpp
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-10 13:39:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-10 13:39:12 +0000
commit1f81933683efd5b2bf82ee88eaa0be9bd0b58330 (patch)
tree11c3ab6af7782c04d26566116fc8d4f6453d28be /dev-cpp
parentc4a445bb27dec293afdaa6aef479b3ad3880dc48 (diff)
downloadbaldeagleos-repo-1f81933683efd5b2bf82ee88eaa0be9bd0b58330.tar.gz
baldeagleos-repo-1f81933683efd5b2bf82ee88eaa0be9bd0b58330.tar.xz
baldeagleos-repo-1f81933683efd5b2bf82ee88eaa0be9bd0b58330.zip
Adding metadata
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/pystring/Manifest1
-rw-r--r--dev-cpp/pystring/metadata.xml16
-rw-r--r--dev-cpp/pystring/pystring-1.1.3.ebuild38
-rw-r--r--dev-cpp/tree/Manifest1
-rw-r--r--dev-cpp/tree/tree-3.17.ebuild39
5 files changed, 95 insertions, 0 deletions
diff --git a/dev-cpp/pystring/Manifest b/dev-cpp/pystring/Manifest
new file mode 100644
index 000000000000..eb3773a17b36
--- /dev/null
+++ b/dev-cpp/pystring/Manifest
@@ -0,0 +1 @@
+DIST pystring-1.1.3.tar.gz 18364 BLAKE2B caab1a3b1dc688ad6ecbb32e5e8139bb883a88b78ce8a021229924d57376e94b17d89277e2fccf4f7ec478c81ee9259c5e56848f4388c44b2eab9cfb841bcfb8 SHA512 a46bb2e96d6eb351a4a8097cde46ac2877d28e88f9e57e0ac36c42e8fc8543517c4be70306a01e2f88a891fc53c612494aeb37f47a200d94b8e1b050ed16eff6
diff --git a/dev-cpp/pystring/metadata.xml b/dev-cpp/pystring/metadata.xml
new file mode 100644
index 000000000000..547504dacb64
--- /dev/null
+++ b/dev-cpp/pystring/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>darkdefende@gmail.com</email>
+ <name>Sebastian Parborg</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">imageworks/pystring</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-cpp/pystring/pystring-1.1.3.ebuild b/dev-cpp/pystring/pystring-1.1.3.ebuild
new file mode 100644
index 000000000000..78410abecfd4
--- /dev/null
+++ b/dev-cpp/pystring/pystring-1.1.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="C++ functions matching the interface and behavior of python string methods"
+HOMEPAGE="https://github.com/imageworks/pystring"
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/imageworks/pystring.git"
+else
+ SRC_URI="https://github.com/imageworks/pystring/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+BDEPEND="
+ virtual/libc
+ sys-devel/libtool
+"
+RESTRICT="mirror"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+
+src_compile() {
+ sed -i -e "s|-O3|${CXXFLAGS}|g" Makefile || die
+ emake LIBDIR="${S}" install
+
+ # Fix header location
+ mkdir ${S}/pystring || die
+ mv ${S}/pystring.h ${S}/pystring || die
+}
+
+src_install() {
+ dolib.so ${S}/libpystring.so{,.0{,.0.0}}
+ doheader -r ${S}/pystring
+}
diff --git a/dev-cpp/tree/Manifest b/dev-cpp/tree/Manifest
index c6030dad7492..1cf54214441b 100644
--- a/dev-cpp/tree/Manifest
+++ b/dev-cpp/tree/Manifest
@@ -1 +1,2 @@
DIST tree-2.81.tar.gz 1167128 BLAKE2B ea92724b16fc7ea8a5f0036f5a7a57d000d66b332b4ba46139463f707f95922f38b1d4d56a6d2fca0a3c4ece8f11e28bbf4aa6bec5c5a7bc59ccaa36a01413d6 SHA512 85e910fdb19ffd03ae79302a95ebffdb44725fd9f291a61d6912f743b54fe9b3d1c863e00c7e75d238f428946809e42c7ae6379b1051688fb06ee6c6d761d294
+DIST tree-3.17.tar.gz 1178425 BLAKE2B f59239b861c0495c48036d0fffa49370d4cd78a94bfc35348bbbe0232a3c1221293a23366a6289429adabcb00b21292288ce085fa54f74dc204537c95c5b7c37 SHA512 af11f693c13dd37dddf016751c0f975c21d7a5ad405879e18fbe5387400ee1fcfb42942ee8888efffcb0c985d7875f2698591139aeb18b4809e83e225a743112
diff --git a/dev-cpp/tree/tree-3.17.ebuild b/dev-cpp/tree/tree-3.17.ebuild
new file mode 100644
index 000000000000..a07ad494486f
--- /dev/null
+++ b/dev-cpp/tree/tree-3.17.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DOCS_BUILDER="doxygen"
+DOCS_CONFIG_NAME="doxygen_tree.config"
+DOCS_DIR="doc"
+
+inherit docs toolchain-funcs
+
+DESCRIPTION="An STL-like tree class"
+HOMEPAGE="https://github.com/kpeeters/tree.hh"
+SRC_URI="https://github.com/kpeeters/tree.hh/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}.hh-${PV}"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+
+src_configure() {
+ tc-export CXX
+}
+
+src_compile() {
+ docs_compile
+}
+
+src_test() {
+ cd src || die
+ emake
+ emake run_tests
+}
+
+src_install() {
+ doheader src/tree.hh src/tree_util.hh
+ dodoc -r examples
+ einstalldocs
+}